function main_script_unified_autoencoder_multipie
src_view = '1';
des_view = '7';

src_train_path      = ['..\DB\mat\multipie\mutlipie_view_' src_view '_train_32x40.mat'];
des_train_path      = ['..\DB\mat\multipie\mutlipie_view_' des_view '_train_32x40.mat'];
gallery_path        = ['..\DB\mat\multipie\mutlipie_view_' des_view '_gallery_32x40.mat'];
probe_path          = ['..\DB\mat\multipie\mutlipie_view_' des_view '_probe_32x40.mat'];

model_path = 'F:\Experiment\Research\DomainAdaptation\DA_via_deep_autoencoder\Model\unify_autoencoder';

%% Train AutoEncoder
nHiddens = 800;
m = load(src_train_path); Xs = m.X; Ls = m.Label;
[x_mean_src x_var_src] = GetZeroMeanOneVar(Xs);
% Xs = Xs - repmat(x_mean_src,1,size(Xs,2));
% Xs = ZeroMeanOneVar(Xs, x_mean_src,x_var_src);

m = load(des_train_path); Xt = m.X; 
[x_mean_tar x_var_tar] = GetZeroMeanOneVar(Xt);
% Xt = Xt - repmat(x_mean_tar,1,size(Xt,2));
% Xt = ZeroMeanOneVar(Xt, x_mean_tar,x_var_tar);

X = [Xs Xt];
% [Wx,bx,cx] = AutoEncoder(NormOne(X),nHiddens);
[Wx,cx,bx]=fun_autoencoder(NormOne(Xs),nHiddens);
save([model_path '\1_and_7_autoencoder.mat'], 'Wx', 'bx', 'cx');
% m = load([model_path '\1_and_7_autoencoder.mat']); Wx = m.Wx; bx = m.bx; cx = m.cx;
sigma = 1;type = 'AE_Gradient_tanh';

% [Ys]=fun_inferOnOneLayer(NormOne(Xs), Wx, bx, cx,sigma,type);
par_AE.sigma = 1;
par_AE.activeType = 'tanhNW_a';

[Ys Y_new]=fun_inferOnOneLayer_asy(NormOne(Xs),Wx,Wx,bx,cx,par_AE.sigma,par_AE.activeType);
[W_lda] = LDA_X(Ys, Ls, nHiddens);

%% Test
lda_dim = -1;
 m = load(gallery_path);
  X_Gallery = m.X; Label_Gallery = m.Label;
  X_Gallery = X_Gallery - repmat(x_mean_tar,1,size(X_Gallery,2));
%  X_Gallery = ZeroMeanOneVar(m.X, x_mean_tar, x_var_tar); Label_Gallery = m.Label;
 Y_Gallery = W_lda' * fun_inferOnOneLayer_asy(NormOne(X_Gallery), Wx,Wx,bx,cx,par_AE.sigma,par_AE.activeType);
 
 m = load(probe_path);
  X_Probe = m.X; Label_Probe = m.Label;
  X_Probe = X_Probe - repmat(x_mean_tar,1,size(X_Probe,2));
%  X_Probe = ZeroMeanOneVar(m.X, x_mean_tar, x_var_tar); Label_Probe = m.Label;
 Y_Probe = W_lda' * fun_inferOnOneLayer_asy(NormOne(X_Probe),Wx,Wx,bx,cx,par_AE.sigma,par_AE.activeType);
 
 [fea_dim num_gallery] = size(Y_Gallery);
 num_probe = size(Y_Probe,2);
 
 index_x = []; index_y = [];
 if lda_dim == -1
     for dim =  10:10:fea_dim%fea_dim-40:1:fea_dim%
         rate = CalRecogRate(Y_Gallery(1:dim,:),Y_Probe(1:dim,:),Label_Gallery,Label_Probe);
         index_x = [index_x dim];
         index_y = [index_y rate];
     end
 else
     for dim = min(lda_dim, fea_dim-1)%10:10:fea_dim
         rate = CalRecogRate(Y_Gallery(1:dim,:),Y_Probe(1:dim,:),Label_Gallery,Label_Probe);
         index_x = [index_x dim];
         index_y = [index_y rate];
     end
 end
plot(index_x, index_y);