function [Y] = FeedForwardPass_BinaryTree(X, W, b, NetSizes, AEopts)

% left tree
AESize_left = [NetSizes{1} NetSizes{2}];
Wleft = [W{1} W{2}];
bleft = [b{1} b{2}];
ae_model.W = Wleft;
ae_model.b = bleft;
Y{1} = FeedForwardPass(X, ae_model, AESize_left, AEopts);

% right tree
AESize_right = [NetSizes{1} NetSizes{3}];
Wright = [W{1} W{3}];
bright = [b{1} b{3}];
ae_model.W = Wright;
ae_model.b = bright;
Y{2} = FeedForwardPass(X, ae_model, AESize_right, AEopts);

% ae_model.W = W{1};
% ae_model.b = b{1};
% AESizes = NetSizes{1};
% ae_output                = FeedForwardPass(X , ae_model , AESizes ,AEopts);
% Y{1} = ae_output.a;
% 
% nHidden = AESizes(end);
% ae_model.W = W{2};
% ae_model.b = b{2};
% AESizes = [nHidden NetSizes{2}];
% ae_input = Y{1}{end};
% ae_output                = FeedForwardPass(ae_input, ae_model , AESizes ,AEopts);
% Y{2} = ae_output.a;
% 
% nHidden = AESizes(end);
% ae_model.W = W{3};
% ae_model.b = b{3};
% AESizes = [nHidden NetSizes{3}];
% ae_input = Y{1}{end};
% ae_output                = FeedForwardPass(ae_input, ae_model , AESizes ,AEopts);
% Y{3} = ae_output.a;