function Alpha = batch_larsso(X, Y, method, stop)
% c = parcluster;
% matlabpool(c);

num_sample = size(Y,2);
num_dict = size(X,2);

Alpha = zeros(num_dict, num_sample);
for i=1:num_sample
    y = Y(:,i);
    si = SolveLasso(X, y,num_dict, method,[],stop);
    

    msk = isnan(si);
    si(msk==1)=0;
    Alpha(:,i) = si;
    if mod(i,10)==0
        fprintf('batch_lars %d / %d, nonezero: %d , error:%f, used tar:%d\r',i,num_sample, length(find(si~=0)),mean(abs(y-X*si)),length(find(sum(abs(Alpha),2)~=0)));
    end
end

% matlabpool close;
