function main_script_BAE_train_multipie()

%% prepare data
train_path = '..\DB\mat\Multipie\mutlipie_view_';

src_view = 1;
tar_view = 4;

%% training
src_train_path = [train_path num2str(src_view) '_train_32x40.mat']; m = load(src_train_path);
X_src = m.X;
Label_src = m.Label;


tar_train_path = [train_path num2str(tar_view) '_train_32x40.mat']; m = load(tar_train_path);
X_tar = m.X;
% Label_src = m.Label;

scale_type = 'scale_255';
Y_src = double(NormColumn(X_src, scale_type));
Y_tar = double(NormColumn(X_tar, scale_type));

% Xinput = [Y_src Y_tar];

%% parametrs
nHiddenLayers = 1;
lambda = 0;
nHiddens = 1000;
nHiddenLayers_leaf = 0;
min_stop = 0.01;
iter = 2000;

maxIter = 5;%max(10000/iter, 5);
max_stop =  min(0.1,min_stop);
step_stop = (max_stop - min_stop)/(maxIter-1);
            
min_Iter_AE = iter;  max_Iter_AE = 5000;
step_iter = (max_Iter_AE - min_Iter_AE)/(maxIter-1);

for i=1:maxIter
    Stop(i) = min_stop + (maxIter-i)*step_stop;
    MaxIter_AE(i) = round(max_Iter_AE - (maxIter-i)*step_iter);
end
                        
                        
dae_model_path = ['Z:\TransferDAE\Model\Pose_BinaryTree\src_' num2str(src_view) '_tar_' num2str(tar_view) '\Transfer_DAE_' num2str(nHiddens) '_' num2str(nHiddenLayers) '_' num2str(nHiddenLayers_leaf) '_stop_[' num2str(min_stop) ', ' num2str(max_stop) ']_IterAE_[' num2str(min_Iter_AE) ', ' num2str(max_Iter_AE) ']_lambda_' num2str(lambda) '_TwoTarget.mat'] ;
dae_init_model_path = ['Z:\TransferDAE\Model\Pose_BinaryTree\src_' num2str(src_view) '_tar_' num2str(tar_view) '\Transfer_DAE_' num2str(nHiddens) '_' num2str(nHiddenLayers)  '_' num2str(nHiddenLayers_leaf) '_Init.mat'] ;

BAE(Y_src, Label_src, Y_tar, nHiddens, nHiddenLayers, nHiddenLayers_leaf, dae_model_path, dae_init_model_path, Stop, MaxIter_AE, maxIter, lambda);

                 