function [W, b] = theta2matrix_binarytree(theta, NetSizes)

num = length(NetSizes);
W = cell(1, num);
b = cell(1, num);

startInx = 1;
for k = 1:num
    if k==1
        AESize_k = NetSizes{k};
    else if k==2
        AESize_k = [NetSizes{1}(end) NetSizes{k}];
    else if k==3
        AESize_k = [NetSizes{1}(end) NetSizes{k}];
        end
        end
    end
    count_para = num_net_parameter(AESize_k);
    endInx = startInx + count_para-1;
   
    theta_k = theta(startInx:endInx);
    ae = theta2WMatrix(theta_k , AESize_k);
    W{k} = ae.W;
    b{k} = ae.b;
    
    startInx = endInx + 1;
end
