function [Y, Label_Y] = FeedForwardPass_feature(X, Label , ae_model , AESizes ,AEopts, b_mult_output, num_output)

if b_mult_output == 1
    nHiddenLayers = length(ae_model);
    Y = []; 
%     num_output = 2;
    AEinput = X;
    for k = 1 : nHiddenLayers
        ae_model_k.W = ae_model{k}.W;
        ae_model_k.b = ae_model{k}.b;
        AESizes_k = [AESizes(k) AESizes(k+1) AESizes(end)];
        ae                = FeedForwardPass( AEinput , ae_model_k , AESizes_k ,AEopts);
        if k >= nHiddenLayers+1-num_output
            Y = [Y; ae.a{end}];
        end
        AEinput = ae.a{end-1};
    end
    Label_Y = repmat(Label,1,num_output);
else
%     num_output = 2;
    ae                = FeedForwardPass( X , ae_model , AESizes ,AEopts);
    Y = [];
    Label_Y = Label;
    for k=2:num_output
        Y = [Y; ae.a{end+1-k}];
    end
end
