function Y = NormColumn(X,type)
X = double(X);

switch type
    case 'norm_one'
        [dim num] = size(X);
        Y = zeros(dim, num);
        for i=1:num
            Y(:,i) = X(:,i) ./ norm(X(:,i));
        end
    case 'linear_scale_0_1'
        max_x = max(X(:));
        min_x = min(X(:));
        Y = (X - min_x) ./ (max_x - min_x);
    case 'linear_scale_minus_1_1'
        max_x = max(X(:));
        min_x = min(X(:));
        Y = ((X - min_x) ./ (max_x - min_x)).*2 - 1;
    case 'scale_255'
       Y = X./255;
end